classification
Title: Allow to overwrite the signature for Python functions
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, serhiy.storchaka, xtreak, yselivanov
Priority: normal Keywords: patch

Created on 2019-04-06 08:33 by serhiy.storchaka, last changed 2019-08-31 20:11 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12705 merged serhiy.storchaka, 2019-04-06 08:36
Messages (2)
msg339530 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-04-06 08:33
Currently __text_signature__ can be used for specifying signature of functions implemented in C. It is ignored for functions implemented in Python. The proposed PR allows to override the real signature of Python functions by setting the __text_signature__ attribute. This is needed to restore useful signatures in functions that use the *args hack to implement positional-only parameters. See the discussion for PR 12637.
msg341621 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-05-06 19:40
New changeset d53cf99dca4605ace4b81b1e585616b3e1b74fa6 by Serhiy Storchaka in branch 'master':
bpo-36542: Allow to overwrite the signature for Python functions. (GH-12705)
https://github.com/python/cpython/commit/d53cf99dca4605ace4b81b1e585616b3e1b74fa6
History
Date User Action Args
2019-08-31 20:11:37serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-06 19:40:30serhiy.storchakasetmessages: + msg341621
2019-04-06 17:07:14xtreaksetnosy: + xtreak
2019-04-06 08:36:56serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request12629
2019-04-06 08:33:41serhiy.storchakacreate